import io,sys

# useage via powershell, cygwin, or command prompt:
# python genericTableDumper > tableDump.txt
#
# make sure filename is correct, python 3 is installed
# might work with python 2, i don't know.
# tableDump.txt can be any name.

# replace SCUS_942.30 with the file name
with open('SCUS_942.30', 'rb') as scus:
    def printData(addr, rows, reads, name):
        scus.seek(addr)
        tblList = []
        rowCntr = 0
        while rowCntr < rows:
            tblList.insert(rowCntr, bytearray(scus.read(reads)))
            rowCntr += 1
        rowCntr = 0
        print(name)
        for a in tblList:
            for b in a:
                # if printing ints, uncomment this one below
                # print(str(int(b)), end=' ')
                # if printing hex, uncomment this one below
                # print(hex(b)[2:].zfill(2), end=' ')
                # if printing hex for paste into spreadsheet, use this one below
                print('\'' + hex(b)[2:].zfill(2), end='\' ')
                # only use one at a time, comment all others
                # <--this hashtag is a comment
            rowCntr += 1
            print()
        print()

    printData(40672, 256, 28, 'Items 1')
    # copy and paste this for all tables you want to print.
    # don't forget to edit this print statement, comment it out, or delete it.
    # printData(startingAddress, entries, byesPerEntry, name)
    # startingAddress is starting address in decimal (base 10)
    # others should be self explanatory.
